commit:     03c417b62659132ccf6bf5be8aef050308d12269
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 11 00:39:51 2019 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Feb 11 00:41:01 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=03c417b6

dev-python/future: Version bump to 0.17.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-python/future/Manifest             |  1 +
 dev-python/future/future-0.17.0.ebuild | 48 ++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/future/Manifest b/dev-python/future/Manifest
index c6f9ebb99b5..0bcf5ff7b5a 100644
--- a/dev-python/future/Manifest
+++ b/dev-python/future/Manifest
@@ -1,2 +1,3 @@
 DIST future-0.15.2.tar.gz 1583441 BLAKE2B 
9c552a5f3598922f8910480d054015020112aae4f7e14d2c139dda13a0b26e878b75eaf5068d66f20823ac4659d85edd4087a95d9474dc27bf15767cf6e9d921
 SHA512 
24a0eaf70795efe1644b098c5abbcb0103d9172a5243721f0d26b1cbd108872b6c0616180da8f5507855ddfc7b26bb10a606a64e59d307d39042b346700f77ee
 DIST future-0.16.0.tar.gz 824484 BLAKE2B 
b098366cc7a7866c4aa4a35f1a6a5cf113698307de8f4cce6c77e4ce72a8433dd102111f991e35ffa920c09a0d31cc048b9502dacd0aba1b701c11eaaeab8392
 SHA512 
41c795cd1746a76df84de2da9fbc611fc6164322c1c712ec9e8a8626c21c2717cb4899ec150d95c5e0c037270e6bb71e099edd169609369aae619daea9df2e5f
+DIST future-0.17.0.tar.gz 827812 BLAKE2B 
14bfce4927386b157da91e6bbad547e21bb622f7e81997bc4ac400842cec5f7a50d7a0f5a743c4c76a7b80be0dcb6f54c06901311fd27781d89a8d2df1cce7e9
 SHA512 
f2396379e8e36753aeafdf27225c2551a31b10036f21201f1c24d63c1bb318dbd491ec977af514a19a4d477b397df9eed9711be797a64e86fc00c4692729d876

diff --git a/dev-python/future/future-0.17.0.ebuild 
b/dev-python/future/future-0.17.0.ebuild
new file mode 100644
index 00000000000..860a64b830c
--- /dev/null
+++ b/dev-python/future/future-0.17.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Easy, clean, reliable Python 2/3 compatibility"
+HOMEPAGE="http://python-future.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 
~amd64-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+BDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               dev-python/sphinx-bootstrap-theme[${PYTHON_USEDEP}]
+       )
+       test? (
+               dev-python/numpy[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+"
+
+PATCHES=(
+)
+
+python_prepare_all() {
+       sed -i "/'sphinx.ext.intersphinx'/d" docs/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       if use doc; then
+               sphinx-build docs/ docs/_build/html || die
+               HTML_DOCS=( docs/_build/html/. )
+       fi
+}
+
+python_test() {
+       pytest -vv || die "Tests failed under ${EPYTHON}"
+}

Reply via email to